Package de.gebit.integrity.dsl

## Interface CustomOperation

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `Operation`, `ValueOrEnumValueOrOperation`
  All Known Implementing Classes:
    `CustomOperationImpl`

      public interface CustomOperation
      extends Operation

  A representation of the model object 'Custom Operation'.

  The following features are supported:

  - `Prefix Operand`
  - `Definition`
  - `Postfix Operand`
  See Also:
    `DslPackage.getCustomOperation()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OperationDefinition` | `getDefinition()` | Returns the value of the 'Definition' reference.
    `ValueOrEnumValueOrOperationCollection` | `getPostfixOperand()` | Returns the value of the 'Postfix Operand' containment reference.
    `ValueOrEnumValueOrOperationCollection` | `getPrefixOperand()` | Returns the value of the 'Prefix Operand' containment reference.
    `void` | `setDefinition​(OperationDefinition value)` | Sets the value of the '`Definition`' reference.
    `void` | `setPostfixOperand​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Postfix Operand`' containment reference.
    `void` | `setPrefixOperand​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Prefix Operand`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPrefixOperand

          ValueOrEnumValueOrOperationCollection getPrefixOperand()

      Returns the value of the 'Prefix Operand' containment reference.
      Returns:
        the value of the 'Prefix Operand' containment reference.
      See Also:
        `setPrefixOperand(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getCustomOperation_PrefixOperand()`

    - #### setPrefixOperand

          void setPrefixOperand​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Prefix Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'Prefix Operand' containment reference.
      See Also:
        `getPrefixOperand()`

    - #### getDefinition

          OperationDefinition getDefinition()

      Returns the value of the 'Definition' reference.
      Returns:
        the value of the 'Definition' reference.
      See Also:
        `setDefinition(OperationDefinition)`, `DslPackage.getCustomOperation_Definition()`

    - #### setDefinition

          void setDefinition​(OperationDefinition value)

      Sets the value of the '`Definition`' reference.
      Parameters:
        `value` - the new value of the 'Definition' reference.
      See Also:
        `getDefinition()`

    - #### getPostfixOperand

          ValueOrEnumValueOrOperationCollection getPostfixOperand()

      Returns the value of the 'Postfix Operand' containment reference.
      Returns:
        the value of the 'Postfix Operand' containment reference.
      See Also:
        `setPostfixOperand(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getCustomOperation_PostfixOperand()`

    - #### setPostfixOperand

          void setPostfixOperand​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Postfix Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'Postfix Operand' containment reference.
      See Also:
        `getPostfixOperand()`